Verify Web Bot Auth signature
curl --request POST \
--url https://api.getsly.ai/v1/v1/cards/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transaction_intent": {
"merchant_id": "<string>",
"amount": "<string>",
"currency": "<string>",
"description": "<string>"
},
"signed_bot_identity": "<string>"
}
'import requests
url = "https://api.getsly.ai/v1/v1/cards/verify"
payload = {
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transaction_intent": {
"merchant_id": "<string>",
"amount": "<string>",
"currency": "<string>",
"description": "<string>"
},
"signed_bot_identity": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
transaction_intent: {
merchant_id: '<string>',
amount: '<string>',
currency: '<string>',
description: '<string>'
},
signed_bot_identity: '<string>'
})
};
fetch('https://api.getsly.ai/v1/v1/cards/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"verified": true,
"network_ref": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"rejection_reason": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>",
"request_id": "<string>"
}Cards
Verify Web Bot Auth signature
Verify an agent’s Web Bot Auth on a card transaction. Sly checks the signature against the agent’s Ed25519 public key, validates the transaction intent, and returns a network_ref usable as authorization for the card txn.
POST
/
v1
/
cards
/
verify
Verify Web Bot Auth signature
Authorizations
API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Body
application/json
Response
Verification result
Show child attributes
Show child attributes
⌘I